GET /api/synthetics/params

Spaces method and path for this operation:

get /s/{space_id}/api/synthetics/params

Refer to Spaces for more information.

Get a list of all parameters.

You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

[Required authorization] Route required privileges: uptime-read.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • description string

      The description of the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.

    • id string

      The unique identifier of the parameter.

    • key string

      The key of the parameter.

    • namespaces array[string]

      The namespaces associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.

    • tags array[string]

      An array of tags associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.

    • value string

      The value associated with the parameter. It will be included in the response if the user has write permissions.

GET /api/synthetics/params
curl \
  -X GET "${KIBANA_URL}/api/synthetics/params" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/params
Response examples (200)
A successful response for a user with read-only permissions to get a list of parameters.
[
  {
    "description": "Description for param1",
    "id": "param1-id",
    "key": "param1",
    "namespaces": [
      "namespace1"
    ],
    "tags": [
      "tag1",
      "tag2"
    ]
  },
  {
    "description": "Description for param2",
    "id": "param2-id",
    "key": "param2",
    "namespaces": [
      "namespace2"
    ],
    "tags": [
      "tag3"
    ]
  }
]
A successful response for a user with write permissions to get a list of parameters.
[
  {
    "description": "Description for param1",
    "id": "param1-id",
    "key": "param1",
    "namespaces": [
      "namespace1"
    ],
    "tags": [
      "tag1",
      "tag2"
    ],
    "value": "value1"
  },
  {
    "description": "Description for param2",
    "id": "param2-id",
    "key": "param2",
    "namespaces": [
      "namespace2"
    ],
    "tags": [
      "tag3"
    ],
    "value": "value2"
  }
]